Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.universe
Class MultiTransformGroup

    java.lang.Object
      com.sun.j3d.utils.universe.MultiTransformGroup

    public class MultiTransformGroup

extends java.lang.Object

A convenience class that effectively creates a series of TransformGroup nodes connected one to another hierarchically. For most applications, creating a MultiTransformGroup containing one transform will suffice. More sophisticated applications that use a complex portal/head tracking viewing system may find that more transforms are needed.

When more than one transform is needed, transform[0] is considered the "top most" transform with repsect to the scene graph, (attached to the ViewingPlatform node) and transform[numTransforms - 1] is the "bottom most" transform (the ViewPlatorm object is attached to this transform).

Constructor Summary
`MultiTransformGroup()` Creates a MultiTransformGroup node that contains a single transform.
`MultiTransformGroup(int numTransforms)` Creates a MultiTransformGroup node that contains the specified number of transforms.

Method Summary
`int` | `getNumTransforms()` Returns the number of transforms in this MultiTransformGroup object.
`TransformGroup` | `getTransformGroup(int transform)` Returns the selected TransformGroup node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiTransformGroup

    public MultiTransformGroup()

  Creates a MultiTransformGroup node that contains a single transform. This is effectively equivalent to creating a single TransformGroup node.

### MultiTransformGroup

    public MultiTransformGroup(int numTransforms)

  Creates a MultiTransformGroup node that contains the specified number of transforms.

  When more than one transform is needed, transform[0] is considered the "top most" transform with repsect to the scene graph, (attached to the ViewingPlatform node) and transform[numTransforms - 1] is the "bottom most" transform (the ViewPlatorm object is attached to this transform).

  Parameters:
    `numTransforms` - The number of transforms for this node to contain. If this number is less than one, one is assumed.

Method Detail

### getTransformGroup

    public TransformGroup getTransformGroup(int transform)

  Returns the selected TransformGroup node.

  Parameters:
    `transform` - The index of the transform to return. The indices are in the range [0..(n - 1)] - where n was the number of transforms created. transform[0] is considered the "top most" transform with repsect to the scene graph, (attached to the ViewingPlatform node) and transform[numTransforms - 1] is the "bottom most" transform (the ViewPlatorm object is attached to this transform).
  Returns:
    The TransformGroup node at the designated index. If an out of range index is given, null is returned.

### getNumTransforms

    public int getNumTransforms()

  Returns the number of transforms in this MultiTransformGroup object.

  Returns:
    The number of transforms in this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD